Removes the specified alarm template
Requests
HTTP request
DELETE /apis/aiops.alauda.io/v1beta1/alerttemplates/{name}
delete an AlertTemplate
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | True | name of the AlertTemplate |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| dryRun | string | False | When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed |
| gracePeriodSeconds | integer | False | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. |
| orphanDependents | boolean | False | Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both. |
| propagationPolicy | string | False | Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground. |
| pretty | string | False | If 'true', then the output is pretty printed. |
Request body
Content-Type
application/json,
application/yaml
Sample request
DeleteOptions may be provided when deleting an API object.
{
"apiVersion": "aiops.alauda.io/v1beta1",
"gracePeriodSeconds": 1,
"kind": "alerttemplates",
"orphanDependents": false
}Parmeters
| Name | Type | Required | Description |
|---|---|---|---|
| apiVersion | string | False | See common parameters |
| gracePeriodSeconds | integer (int64) | False |
The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.
Path: gracePeriodSeconds |
| kind | string | False | See common parameters |
| orphanDependents | boolean | False |
Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.
Path: orphanDependents |
Responses
Content-Type
application/json,
application/yaml
Status code: 200
OK
Sample response
Status is a return value for calls that don't return other objects.
{
"apiVersion": "v1",
"details": {
"group": "aiops.alauda.io",
"kind": "alerttemplates",
"name": "alert",
"uid": "3c45e84d-ceef-4414-bad6-61fb4d600e2a"
},
"kind": "Status",
"metadata": {},
"status": "Success"
}Parameters
| Name | Type | Description |
|---|---|---|
| apiVersion | string | See common parameters |
| details | object |
StatusDetails is a set of additional properties that MAY be set by the server to provide additional information about a response. The Reason field of a Status object defines what attributes will be set. Clients must ignore fields that do not match the defined type of each attribute, and should assume that any attribute may be empty, invalid, or under defined.
Path: details |
| details.group | string |
The group attribute of the resource associated with the status StatusReason.
Path: details.group |
| details.kind | string |
The kind attribute of the resource associated with the status StatusReason. On some operations may differ from the requested resource Kind. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
Path: details.kind |
| details.name | string |
The name attribute of the resource associated with the status StatusReason (when there is a single name which can be described).
Path: details.name |
| details.uid | string |
UID of the resource. (when there is a single resource which can be described). More info: http://kubernetes.io/docs/user-guide/identifiers#uids
Path: details.uid |
| kind | string | See common parameters |
| metadata | object | See common parameters |
| status | string |
Status of the operation. One of: "Success" or "Failure". More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status
Path: status |